Subject: bug#35594: GNOME: Application icons are not displayed immediately after installation

From: sirgazil <[email-masked]>
Date: Sun, 05 May 2019 18:19:11 -0500

Hi,

I installed the GNU system in a real machine using Guix 1.0 ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).

Whenever I install a desktop application, the application icon does not show up immediately in the list of available applications. I have to log out and log in again to be able to see it.

## Steps to reproduce

1. Install a desktop application (I tried GIMP, Scribus, Inkscape, Audacity)
2. Click on "Activities".
3. Click on "Show Applications" (the button with nine dots).

## Unexpected result

The icon of the installed application is not in the list.

## Expected result.

The icon of the installed application is in the list.

---
https://sirgazil.bitbucket.io/